package com.engine.salary.elog.annotation;

import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD})
public @interface ElogDetailField {

    String fieldType() default "varchar";
    String length() default "50";
    String fieldName();
    String desc() default "自定义字段";
}
