package com.engine.salary.elog.annotation;

import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD, ElementType.TYPE})
@Inherited
public @interface ElogTransform {

    String tablename() default "";

    String name();

    int labelId() default -1;

    String type() default "";

    String valuesKVPairs() default "";

    boolean ignore() default false;

    boolean analyticSubclass() default false;

    boolean analyticList() default false;

    Class<?> analyticListClass() default void.class;

}
