package com.engine.salary.elog.annotation;

import java.lang.annotation.*;

/**
 * @ClassName: LoggerTarget
 * @Description 日志构造器-自定义注解
 * @Author tanghj
 * @Date 2021/2/10 14:18
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE})
public @interface LoggerTarget {
//    @AliasFor("module")
    String value() default "";

//    @AliasFor("value")
    String module() default "";

    String function() default "common";
}
