package com.engine.salary.elog.async;

import com.engine.salary.elog.config.ELogTableChecker;
import com.engine.salary.elog.entity.dto.LoggerContext;
import com.engine.salary.elog.service.impl.LocalElogService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @ClassName: LoggerMessageListener
 * @Description 本地日志存储消息队列监听类
 * @Author tanghj
 * @Date 2021/2/10 14:18
 */
public class LoggerMessageListener {

    private final Logger logger = LoggerFactory.getLogger(getClass());

    LocalElogService localElogService = new LocalElogService();

    public <T> String receiveold(LoggerContext messageBean) {

        new ELogTableChecker().check(messageBean);
        localElogService.insertLocalElog(messageBean);

        return "";
    }


}
