package com.engine.salary.elog.entity.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Date: 2022/5/2 21:51
 * @Author: deli.xu
 * @Description: 日志中心bean
 **/
public class ElogBean implements Serializable {


    private static final long serialVersionUID = 5357552376749564256L;
    private String module;
    private String function;
    private String current;
    private String pageSize;
    private String dataset;
    private String searchMap;
    private List<ShowColumsDto> showColumns = new ArrayList<>();
    private List<FilterConditionDto> filterConditionDtos = new ArrayList<>();
    private String downloadSize;
    private String transMethod;
    private Map authParamsJson;

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getFunction() {
        return function;
    }

    public void setFunction(String function) {
        this.function = function;
    }

    public String getCurrent() {
        return current;
    }

    public void setCurrent(String current) {
        this.current = current;
    }

    public String getPageSize() {
        return pageSize;
    }

    public void setPageSize(String pageSize) {
        this.pageSize = pageSize;
    }

    public String getDataset() {
        return dataset;
    }

    public void setDataset(String dataset) {
        this.dataset = dataset;
    }

    public String getSearchMap() {
        return searchMap;
    }

    public void setSearchMap(String searchMap) {
        this.searchMap = searchMap;
    }

    public List<ShowColumsDto> getShowColumns() {
        return showColumns;
    }

    public void setShowColumns(List<ShowColumsDto> showColumns) {
        this.showColumns = showColumns;
    }

    public List<FilterConditionDto> getFilterConditionDtos() {
        return filterConditionDtos;
    }

    public void setFilterConditionDtos(List<FilterConditionDto> filterConditionDtos) {
        this.filterConditionDtos = filterConditionDtos;
    }

    public String getDownloadSize() {
        return downloadSize;
    }

    public void setDownloadSize(String downloadSize) {
        this.downloadSize = downloadSize;
    }

    public String getTransMethod() {
        return transMethod;
    }

    public void setTransMethod(String transMethod) {
        this.transMethod = transMethod;
    }

    public Map getAuthParamsJson() {
        return authParamsJson;
    }

    public void setAuthParamsJson(Map authParamsJson) {
        this.authParamsJson = authParamsJson;
    }
}
