package com.engine.salary.elog.entity.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GetDetailChangesParam {
    /**
     * 服务（模块）名
     */
    String module;
    /**
     * 方法名
     */
    String function;
    /**
     * 主键id
     */
    String mainid;
    /**
     * 转换方法
     */
    String detailTransMethod;
}
