package com.engine.salary.elog.enums;

/**
 * @ClassName: FromTerminalType
 * @Description TODO
 * @Author tanghj
 * @Date 2021/6/8 11:35
 */
public enum FromTerminalType {
    PC("pc","来自 pc web"),
    ANDROID("android","来自 安卓"),
    IOS("ios","来自 iphone"),
    IPHONE("iphone","来自 iphone"),
    PC_CLIENT("pc_client","来自 windows客户端"),
    MAC_CLIENT("mac_client","来自 mac客户端"),
    H5("H5","来自 手机H5"),
    MOBILEWEB("mobileWeb","来自 手机H5"),
    MICO_MSG("mico_msg","来自 微信"),
    WECHAT("wechat","来自 企业微信"),
    APP_H5("app_h5","来自 app_h5"),
    BROWSER("browser", "来自 网页"),
    MOBILE("mobile","来自 移动端");

    private String code;
    private String face;

    FromTerminalType(String code, String face) {
        this.code = code;
        this.face = face;
    }

    public String getCode() {
        return code;
    }

    public String getFace() {
        return face;
    }

    public static FromTerminalType fromString(String name) {
        try {
            FromTerminalType type = FromTerminalType.valueOf(name);
            return type;
        } catch (Exception e) {
            return null;
        }
    }
}
