package com.engine.salary.elog.enums;

/**
 * @date: 2022/5/13 21:13
 * @author: deli.xu
 * @description: 链接类型 用之前老eteams-base-bean
 */

/**
 * 链接类型
 *
 * @author gk
 */
public enum LinkType {

    // 主线
    mainline("项目"),

    blog("工作日报"),

    workreport("计划报告"),

    clue("线索"),

    crmcontact("联系人-用于全局搜索"),

    marketactivity("活动"),

    crmSummary("报表"),

    statisticalReport("统计报表"),

    attend("出勤"),

    singalForm("表单应用"),

    biaoge("表格"),

    // 标签
    tag("标签"),

    // 表单标签
    formtag("表单标签"),

    // 附件
    attachment("附件"),

    // 用户
    user("用户"),

    // 任务
    task("任务"),

    // 子任务
    subtask("子任务"),

    // 文档
    document("文档"),

    // 文件夹
    folder("文件夹"),

    // 客户
    customer("客户"),

    // 联系人
    contact("联系人"),

    // 销售商机
    saleChance("销售商机"),

    // 产品
    production("产品"),

    // 合同
    contract("合同"),

    // 竞争对手
    competitor("竞争对手"),

    // 公告
    placard("公告"),

    // 审批
    workflow("审批"),

    // 部门
    department("部门"),

    // 岗位
    position("岗位"),

    // 日程
    calendar("日程"),

    // 群组
    group("群组"),

    // 合同
    hrcontract("人事合同"),

    //人事管理
    hr("人事"),

    //KPI
    kpi("绩效考核"),kpiFlow("绩效考核流程"),

    // 全部
    all("所有人"),

    formdatareport("数据上报"),

    form("表单"),

    userSetting("不可见成员"),

    sms("短信"),

    wechatEnterprise("企业微信"),

    wechatService("微信服务号"),

    salarybill("工资单"),

    staffPosition("员工位置")/*定制化模块*/,

    app("应用")/*自定义应用*/,

    email("邮件"),

    workTrends("工作动态"),

    tenantLogo("个性化定制"),

    module("模块"),

    orderform("订单"),

    price("价格"),

    capital("资金"),

    quote("报价"),

    room("会议室管理"),

    //模板任务
    mtTask("模板任务"),

    watchMe("关注我的"),
    // crm
    crm("CRM"),

    // 空
    blank(""),

    role("角色"),

    externalUser("外部联系人"),

    subcompany("分部");

    private String displayName;

    LinkType(String displayName) {
        this.displayName = displayName;
    }

    public String getDisplayName() {
        return displayName;
    }

}
