package com.engine.salary.elog.util;

/**
 * @ClassName: LoggerTemplateBuilder
 * @Description 日志基本类构造器
 * @Author tanghj
 * @Date 2021/2/10 14:18
 */
public class LoggerTemplateBuilder {

    public static LoggerTemplate build(String module){
        return build(module, "common");
    }
    public static LoggerTemplate build(String module, String function){
        LoggerTemplate loggerTemplate = new LoggerTemplate();
        loggerTemplate.setFunction(function);
        loggerTemplate.setModule(module);

        return loggerTemplate;
    }
}
