package com.engine.salary.elog.annotation;

import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
public @interface Elog {

    String module();

    String function();

    String operateType();

    String operateTypeName();

    String sql() default "";

    boolean isLocal() default true;

    String infoMethod() default "";
}
