package com.engine.salary.elog.annotation;

import com.engine.salary.elog.entity.dto.DataTypeEnum;

import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD})
public @interface ElogField {

    DataTypeEnum dataType() default DataTypeEnum.VARCHAR;

    int length() default 50;

    String comment() default "自定义字段";

    String defaultValue() default "";

    boolean isNull() default true;

    boolean isKey() default false;
}
