package com.engine.salary.elog.entity.dto;

import java.io.Serializable;

/**
 * @date: 2021/5/25 17:23
 * @author: deli.xu
 * @description:
 */
public class FilterConditionDto implements Serializable {

    private static final long serialVersionUID = -3399942468474767859L;

    /**
     * 列名
     */
    private String columIndex;
    /**
     * 值
     */
    private String value;

    /**
     * 过滤类型
     */
    private String type;

    /**
     * 模糊搜索
     */
    private Like like;

    /**
     * 关联条件
     */
    private String connectCondition;

    /**
     * sql条件
     */
    private String sql;


    public String getColumIndex() {
        return columIndex;
    }

    public void setColumIndex(String columIndex) {
        this.columIndex = columIndex;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Like getLike() {
        return like;
    }

    public void setLike(Like like) {
        this.like = like;
    }

    public String getConnectCondition() {
        return connectCondition;
    }

    public void setConnectCondition(String connectCondition) {
        this.connectCondition = connectCondition;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }
}
