package com.engine.salary.elog.entity.dto;


import java.io.Serializable;

/**
 * @date: 2021/5/11 18:46
 * @author: deli.xu
 * @description: 显示列对象
 */
public class ShowColumsDto implements Serializable {

    private static final long serialVersionUID = 4650449925605408753L;

    /**
     * 列名
     */
    private String columName;
    /**
     * 列别名
     */
    private String aliasColumName;

    /**
     * 列名index
     */
    private String columIndex;

    /**
     * 是否隐藏 默认显示
     */
    private boolean isHide = false;

    /**
     * 宽度
     */
    private String width;

    /**
     * 是否转多语言
     */
    private boolean isTransfLanguage = false;

    /**
     * 是否换行
     * @param width
     */
    private boolean newLine = false;

    public void setWidth(String width){
        this.width =width;
    }

    public String getWidth(){
        return width;
    }
    public String getColumName() {
        return columName;
    }

    public void setColumName(String columName) {
        this.columName = columName;
    }

    public String getAliasColumName() {
        return aliasColumName;
    }

    public void setAliasColumName(String aliasColumName) {
        this.aliasColumName = aliasColumName;
    }

    public boolean isHide() {
        return isHide;
    }

    public void setHide(boolean hide) {
        isHide = hide;
    }

    public String getColumIndex() {
        return columIndex;
    }

    public void setColumIndex(String columIndex) {
        this.columIndex = columIndex;
    }

    public boolean isTransfLanguage() {
        return isTransfLanguage;
    }

    public boolean isNewLine() {
        return newLine;
    }

    public void setNewLine(boolean newLine) {
        this.newLine = newLine;
    }

    public void setTransfLanguage(boolean transfLanguage) {

        isTransfLanguage = transfLanguage;
    }
}
