package com.engine.salary.elog.entity.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ELogGetLogParam {
    /**
     * 服务（模块）名
     */
    String module;
    /**
     * 方法名
     */
    String function;
    /**
     * 查询条件
     */
    String condition;
    /**
     * 每页多少数据
     */
    String pageSize;
    /**
     * '
     * 当前页
     */
    String current;

}
