package com.engine.salary.mapper.elog;

import com.engine.salary.elog.entity.dto.TableColumnBean;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface ElogTableCheckerMapper {
    Long getVersion(@Param("mainTable") String mainTable);

    void recordVersion(@Param("id") long id, @Param("mainTable") String mainTable, @Param("version") long version);

    void createMainTable(@Param("mainTable") String mainTable);

    void createDetailTable(@Param("detailTable") String detailTable);

    List<TableColumnBean> getTableStructure(@Param("tableName") String tableName);

    void createElogTable(@Param("createElogSql") String createElogSql);

    Map getTableIndex(@Param("tableName") String tableName, @Param("columnName") String columnName);

    Map getDataBase();

    void createTableIndex(@Param("tableName") String tableName, @Param("columnName") String columnName, @Param("id") long id);

    List<String> getAllExistTables(@Param("tableNames") Set<String> tables);
}
